Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class AudioFloatInputStream

    java.lang.Object
      com.sun.media.sound.AudioFloatInputStream

    public abstract class AudioFloatInputStream

extends java.lang.Object

This class is used to create AudioFloatInputStream from AudioInputStream and byte buffers.

Author:
  Karl Helgason

Constructor Summary
`AudioFloatInputStream()`

Method Summary
`abstract int` | `available()`
`abstract void` | `close()`
`abstract javax.sound.sampled.AudioFormat` | `getFormat()`
`abstract long` | `getFrameLength()`
`static AudioFloatInputStream` | `getInputStream(javax.sound.sampled.AudioFormat format, byte[] buffer, int offset, int len)`
`static AudioFloatInputStream` | `getInputStream(javax.sound.sampled.AudioInputStream stream)`
`static AudioFloatInputStream` | `getInputStream(java.io.File file)`
`static AudioFloatInputStream` | `getInputStream(java.io.InputStream stream)`
`static AudioFloatInputStream` | `getInputStream(java.net.URL url)`
`abstract void` | `mark(int readlimit)`
`abstract boolean` | `markSupported()`
`float` | `read()`
`int` | `read(float[] b)`
`abstract int` | `read(float[] b, int off, int len)`
`abstract void` | `reset()`
`abstract long` | `skip(long len)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AudioFloatInputStream

    public AudioFloatInputStream()

Method Detail

### getInputStream

    public static AudioFloatInputStream getInputStream(java.net.URL url)
                                                throws javax.sound.sampled.UnsupportedAudioFileException,
                                                       java.io.IOException

  Throws:
    `javax.sound.sampled.UnsupportedAudioFileException`
    `java.io.IOException`

### getInputStream

    public static AudioFloatInputStream getInputStream(java.io.File file)
                                                throws javax.sound.sampled.UnsupportedAudioFileException,
                                                       java.io.IOException

  Throws:
    `javax.sound.sampled.UnsupportedAudioFileException`
    `java.io.IOException`

### getInputStream

    public static AudioFloatInputStream getInputStream(java.io.InputStream stream)
                                                throws javax.sound.sampled.UnsupportedAudioFileException,
                                                       java.io.IOException

  Throws:
    `javax.sound.sampled.UnsupportedAudioFileException`
    `java.io.IOException`

### getInputStream

    public static AudioFloatInputStream getInputStream(javax.sound.sampled.AudioInputStream stream)

### getInputStream

    public static AudioFloatInputStream getInputStream(javax.sound.sampled.AudioFormat format,
                                                       byte[] buffer,
                                                       int offset,
                                                       int len)

### getFormat

    public abstract javax.sound.sampled.AudioFormat getFormat()

### getFrameLength

    public abstract long getFrameLength()

### read

    public abstract int read(float[] b,
                             int off,
                             int len)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(float[] b)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public float read()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### skip

    public abstract long skip(long len)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### available

    public abstract int available()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public abstract void close()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### mark

    public abstract void mark(int readlimit)

### markSupported

    public abstract boolean markSupported()

### reset

    public abstract void reset()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD